Package org.eclipse.emf.cdo.lm.security

# Interface LMSecurityPackage.Literals

Enclosing interface:
  `LMSecurityPackage`

public static interface LMSecurityPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EClass`
`LM_FILTER`
The meta object literal for the '`LM Filter`' class.
`static final EAttribute`
`LM_FILTER__REGEX`
The meta object literal for the 'Regex' attribute feature.
`static final EClass`
`MODULE_FILTER`
The meta object literal for the '`Module Filter`' class.
`static final EAttribute`
`MODULE_FILTER__MODULE`
The meta object literal for the 'Module' attribute feature.
`static final EClass`
`MODULE_TYPE_FILTER`
The meta object literal for the '`Module Type Filter`' class.
`static final EAttribute`
`MODULE_TYPE_FILTER__INCLUDE_UNTYPED`
The meta object literal for the 'Include Untyped' attribute feature.
`static final EAttribute`
`MODULE_TYPE_FILTER__MODULE_TYPE`
The meta object literal for the 'Module Type' attribute feature.

## Field Details

### LM_FILTER

static final EClass LM_FILTER
The meta object literal for the '`LM Filter`' class.

See Also:
  - `LMFilterImpl`
  - `LMSecurityPackageImpl.getLMFilter()`
Generated

### LM_FILTER__REGEX

static final EAttribute LM_FILTER__REGEX
The meta object literal for the 'Regex' attribute feature.

Generated

### MODULE_FILTER

static final EClass MODULE_FILTER
The meta object literal for the '`Module Filter`' class.

See Also:
  - `ModuleFilterImpl`
  - `LMSecurityPackageImpl.getModuleFilter()`
Generated

### MODULE_FILTER__MODULE

static final EAttribute MODULE_FILTER__MODULE
The meta object literal for the 'Module' attribute feature.

Generated

### MODULE_TYPE_FILTER

static final EClass MODULE_TYPE_FILTER
The meta object literal for the '`Module Type Filter`' class.

See Also:
  - `ModuleTypeFilterImpl`
  - `LMSecurityPackageImpl.getModuleTypeFilter()`
Generated

### MODULE_TYPE_FILTER__MODULE_TYPE

static final EAttribute MODULE_TYPE_FILTER__MODULE_TYPE
The meta object literal for the 'Module Type' attribute feature.

Generated

### MODULE_TYPE_FILTER__INCLUDE_UNTYPED

static final EAttribute MODULE_TYPE_FILTER__INCLUDE_UNTYPED
The meta object literal for the 'Include Untyped' attribute feature.

Generated